# -*- coding: iso-8859-1 -*-
"""
    MoinMoin - SubpageComments common functionality

    @copyright: 2013, 2018 by Paul Boddie <paul@boddie.org.uk>
    @license: GNU GPL (v2 or later), see COPYING.txt for details.
"""

from MoinSupport import getPagesForSearch
import re

def get_comment_numbers(pagename, request):

    """
    Return a list of comment numbers associated with the given 'pagename', using
    the 'request' provided.
    """

    pagenames = []

    pattern = "^%s" % re.escape("%s/" % pagename)
    regex = re.compile(pattern)

    for page in getPagesForSearch("title:%s" % pagename, request):

        # Avoid "title:regex:^%s/" problems by filtering a broader result set.

        if not regex.search(page.page_name):
            continue

        basename, number = page.page_name.rsplit("/", 1)
        if basename == pagename and number.isdigit():
            pagenames.append(int(number))

    pagenames.sort()
    return pagenames

# vim: tabstop=4 expandtab shiftwidth=4
